Bug 1637327 (CVE-2018-14662) - CVE-2018-14662 ceph: authenticated user with read only permissions can steal dm-crypt / LUKS key
Summary: CVE-2018-14662 ceph: authenticated user with read only permissions can steal ...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2018-14662
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1637411 1637412 1665972
Blocks: 1628199
TreeView+ depends on / blocked
 
Reported: 2018-10-09 06:16 UTC by Sam Fowler
Modified: 2019-09-29 15:00 UTC (History)
14 users (show)

Fixed In Version: ceph 13.2.4
Doc Type: If docs needed, set a value
Doc Text:
It was found that authenticated ceph user with read only permissions could steal dm-crypt encryption keys used in ceph disk encryption.
Clone Of:
Environment:
Last Closed: 2019-08-21 20:47:04 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:2538 None None None 2019-08-21 15:10:21 UTC
Red Hat Product Errata RHSA-2019:2541 None None None 2019-08-21 15:22:09 UTC

Description Sam Fowler 2018-10-09 06:16:16 UTC
The Ceph documentation states that clients should use "allow r" mon caps[1][2][3], which will grant full read access to all config-keys stored in the monitor -- including the LUKS encryption keys for OSD.

This is in contrast to the original dm-crypt key management feature[4], which indicates that these keys should be restricted to only the lockbox user.


Upstream Documentation:

[1] http://docs.ceph.com/docs/master/cephfs/client-auth/
[2] http://docs.ceph.com/docs/emperor/rados/operations/authentication/#add-a-key
[3] http://docs.ceph.com/docs/master/rados/operations/user-management/#add-a-user
[4] https://tracker.ceph.com/projects/ceph/wiki/Osd_-_simple_ceph-mon_dm-crypt_key_management

Comment 4 Siddharth Sharma 2019-01-14 15:18:37 UTC
External References:

https://ceph.com/releases/13-2-4-mimic-released

Comment 5 Siddharth Sharma 2019-01-14 15:22:26 UTC
Created ceph tracking bugs for this issue:

Affects: fedora-all [bug 1665972]

Comment 6 Siddharth Sharma 2019-01-15 03:45:10 UTC
upstream fix

https://github.com/ceph/ceph/commit/a2acedd2a7e12d58af6db35edbd8a9d29c557578

Comment 7 errata-xmlrpc 2019-08-21 15:10:19 UTC
This issue has been addressed in the following products:

  Red Hat Ceph Storage 3.3

Via RHSA-2019:2538 https://access.redhat.com/errata/RHSA-2019:2538

Comment 8 errata-xmlrpc 2019-08-21 15:22:08 UTC
This issue has been addressed in the following products:

  Red Hat Ceph Storage 3 for Red Hat Enterprise Linux 7

Via RHSA-2019:2541 https://access.redhat.com/errata/RHSA-2019:2541

Comment 9 Product Security DevOps Team 2019-08-21 20:47:04 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2018-14662


Note You need to log in before you can comment on or make changes to this bug.